<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Downloads;

use Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Downloads\DownloadsRequest;

class DownloadsController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Downloads\DownloadsController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DownloadsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->belegId = \GetOperations::getVarValue('belid');

    return $requestObj;
  }

  protected function createNewRequestObj(): \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Downloads\DownloadsRequest
  {
    return new DownloadsRequest();
  }
}